# Interface IFloating

#### Hierarchy

- IFloating

- Defined in file/drawing/floating/floating-position.ts:50

#####
Index

### Properties

allowOverlap?
behindDocument?
horizontalPosition
layoutInCell?
lockAnchor?
margins?
verticalPosition
wrap?
zIndex?

## Properties

### `Optional` `Readonly` allowOverlap

allowOverlap?: boolean

- Defined in file/drawing/floating/floating-position.ts:53

### `Optional` `Readonly` behindDocument

behindDocument?: boolean

- Defined in file/drawing/floating/floating-position.ts:55

### `Readonly` horizontalPosition

horizontalPosition: IHorizontalPositionOptions

- Defined in file/drawing/floating/floating-position.ts:51

### `Optional` `Readonly` layoutInCell

layoutInCell?: boolean

- Defined in file/drawing/floating/floating-position.ts:56

### `Optional` `Readonly` lockAnchor

lockAnchor?: boolean

- Defined in file/drawing/floating/floating-position.ts:54

### `Optional` `Readonly` margins

margins?: IMargins

- Defined in file/drawing/floating/floating-position.ts:57

### `Readonly` verticalPosition

verticalPosition: IVerticalPositionOptions

- Defined in file/drawing/floating/floating-position.ts:52

### `Optional` `Readonly` wrap

wrap?: ITextWrapping

- Defined in file/drawing/floating/floating-position.ts:58

### `Optional` `Readonly` zIndex

zIndex?: number

- Defined in file/drawing/floating/floating-position.ts:59

Generated using TypeDoc